import 'package:workouttest_util/model/cache.dart';
import 'package:workouttest_util/model/training_plan.dart';
import 'package:workouttest_util/util/app_language.dart';

class TrainingPlanDayRepository {
  const TrainingPlanDayRepository();

  void assignTrainingPlanDays() {
    List<TrainingPlan>? plans = Cache().getTrainingPlans();
    if (plans == null) {
      return;
    }
    for (var plan in plans) {
      if (plan.details != null) {
        for (var element in plan.details!) {
          element.day = getNameById(element.dayId);
        }
      }
    }
  }

  String? getNameById(int? dayId) {
    if (dayId == null) {
      return "";
    }
    String? name;
    for (var day in Cache().getTrainingPlanDays()) {
      if (day.dayId == dayId) {
        name = day.nameTranslations[AppLanguage().appLocal.languageCode];
        break;
      }
    }
    return name;
  }
}
