import 'package:flutter_test/flutter_test.dart';
import 'package:workouttest_util/model/cache.dart';
import 'package:workouttest_util/model/openai.dart';
import 'package:workouttest_util/service/openai_service.dart';


void main() {
  setUp(() {
    Cache().setLocalBaseUrl();
  });

  test('openai response succesful', () async {
    var api = OpenAIApi();
    String response = await api.getOpenAICompletion("Who wrote the song 'yellow submarine'?");
    print(response);
    expect(response, matches(RegExp(r'Beatles') ));
  });

  test('openai with model response succesful', () async {
    var api = OpenAIApi();
    String question = "Készíts egy heti egészséges és változatos étrendet egy új felhasználónak az alábbi adatok alapján: férfi, 51 éves. Célja: Le szeretnék fogyni, heti mozgás: Hetente 3-4 alkalom, BMI: 24.784257517393772, BMR: 1723.75. A neve Tibi. Az egyes étkezések különbözőek legyenek, és add meg hozzájuk a mennyiséget és a kalóriatartalmat is. Vedd figyelembe, hogy a napi összes kalóriaérték 200-400 kCal-val kevesebb legyen, mint 1723.75 kCal";
    var openai = OpenAI(question, "text-davinci-003", 0.5);
    String response = await api.getOpenAICompletionWithModel(openai);
    print(response);
    expect(response, matches(RegExp(r'Tibi') ));
  });
}
